//---------------------------------------------------------------------------

#include <vcl.h>
#include <Inifiles.hpp>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Unit1.cpp", Form1);
USEFORM("Unit2.cpp", Form2);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
         Application->Initialize();
         TIniFile* whmini = new TIniFile(".\\rleview.ini");
         int extract;
         extract = whmini->ReadInteger("Settings","extract",0);
         if (extract != 0) {
             Application->CreateForm(__classid(TForm2), &Form2);
         }
         Application->CreateForm(__classid(TForm1), &Form1);
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }
    return 0;
}
//---------------------------------------------------------------------------
